class ParameterDialog extends DialogBox
{
	static EditMode
	
	Box(Mode, SelectedParameterName := "", SelectedParameterValue := "")
	{
		global ParameterName, ParameterValue
		BoxTitle := (Mode = "Add") ? Txt.Get("AddParameterDialogTitle") : Txt.Get("EditParameterDialogTitle")
		this.InitGui(BoxTitle)
		this.EditMode := (Mode = "Edit") ? 1 : 0
		Gui, Add, Text, % "x" this.MainPaddingLeft " y" this.MainPaddingTopBottom " Section"
			, % Txt.Get("ParameterDialogNameLabel")
		Gui, Add, Edit, xp0 yp20 w347 h20 vParameterName, % SelectedParameterName
		Gui, Add, Text, xs0 yp37
			, % Txt.Get("ParameterDialogValueLabel")
		Gui, Add, Edit, xp0 yp20 w347 h20 vParameterValue, % SelectedParameterValue
		GuiControlGet, ControlPos, Pos, ParameterValue
		this.ControlsHeight := ControlPosY + ControlPosH
		this.GuiWidth := 350
		Buttons := [{Name: Txt.Get("DialogButtonOK"), Action: this.__Class ".OK", Default: 1}
			, {Name: Txt.Get("DialogButtonCancel"), Action: this.__Class ".Cancel"}]
		this.AddButtonBar(Buttons*)
		this.ShowGui()
	}
	
	OK()
	{
		global ParameterName, ParameterValue
		GuiControlGet, Name,, ParameterName
		if not Name {
			MsgBox, 8208, % Txt.Get("ParameterDialogNoNameErrorMsgBoxTitle")
				, % Txt.Get("ParameterDialogNoNameErrorMsgBoxText")
			return
		}
		GuiControlGet, Value,, ParameterValue
		XsltSelectedRow := Config.XsltSelectedRow
		if ParameterDialog.EditMode {
			for key in Config.ParameterSelection {
				ParameterKey := key
				break
			}
			Config.ParameterListItem[XsltSelectedRow, ParameterKey, "Remove"] := 1
		}
		Config.ParameterListItem[XsltSelectedRow, Name] := Value
		base.CloseGui()
		Gui.ParameterListView := Config.ParameterList[XsltSelectedRow]
	}
	
	Cancel()
	{
		base.CloseGui()
	}
}